> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getoutbox.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Campaign Step

> Append a new step to a campaign.



## OpenAPI

````yaml POST /email/campaigns/{campaign_id}/steps/
openapi: 3.1.0
info:
  title: Outbox AI API
  description: API for managing AI agents (chatbots and voicebots) on the Outbox platform
  version: 1.0.0
servers:
  - url: https://api.getoutbox.ai
security: []
paths:
  /email/campaigns/{campaign_id}/steps/:
    post:
      tags:
        - email
      summary: Create Email Campaign Step
      description: Append a new step to a campaign.
      operationId: email_campaigns_steps_create
      parameters:
        - in: path
          name: campaign_id
          schema:
            type: string
            format: uuid
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EmailCampaignStepRequest'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/EmailCampaignStepRequest'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/EmailCampaignStepRequest'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmailCampaignStep'
          description: ''
        '404':
          description: Campaign not found.
      security:
        - jwtAuth: []
        - {}
components:
  schemas:
    EmailCampaignStepRequest:
      type: object
      properties:
        step_order:
          type: integer
          maximum: 2147483647
          minimum: 0
          default: 1
        subject:
          type: string
          maxLength: 512
        body_html:
          type: string
        body_text:
          type: string
        delay_minutes:
          type: integer
          maximum: 2147483647
          minimum: 0
        is_active:
          type: boolean
        created_at:
          type: string
          format: date-time
        campaign:
          type: string
          format: uuid
      required:
        - campaign
    EmailCampaignStep:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        step_order:
          type: integer
          maximum: 2147483647
          minimum: 0
          default: 1
        subject:
          type: string
          maxLength: 512
        body_html:
          type: string
        body_text:
          type: string
        delay_minutes:
          type: integer
          maximum: 2147483647
          minimum: 0
        is_active:
          type: boolean
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
          readOnly: true
        campaign:
          type: string
          format: uuid
      required:
        - campaign
        - id
        - updated_at
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````